Tp::Client::ChannelInterfaceTubeInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ChannelInterfaceTubeInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

## Signals
void | TubeChannelStateChanged (uint state)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| ChannelInterfaceTubeInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelInterfaceTubeInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ChannelInterfaceTubeInterface (Tp::DBusProxy *proxy)
| ChannelInterfaceTubeInterface (const Tp::Client::ChannelInterface &mainInterface)
| ChannelInterfaceTubeInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyParameters () const
Tp::PendingVariant * | requestPropertyState () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Tube".

## Constructor & Destructor Documentation

Tp::Client::ChannelInterfaceTubeInterface::ChannelInterfaceTubeInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceTubeInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceTubeInterface::ChannelInterfaceTubeInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceTubeInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceTubeInterface::ChannelInterfaceTubeInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceTubeInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelInterfaceTubeInterface::ChannelInterfaceTubeInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) |
| explicit

Creates a ChannelInterfaceTubeInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ChannelInterfaceTubeInterface::ChannelInterfaceTubeInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfaceTubeInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelInterfaceTubeInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.Tube", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ChannelInterfaceTubeInterface::requestPropertyParameters | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `Parameters` of type `QVariantMap`.

Each tube has a dictionary of arbitrary parameters. Parameters are commonly used to bootstrap legacy protocols where you can't negotiate parameters in-band. The allowable keys, types and values are defined by the service, but connection managers must support the value being a string (D-Bus type `'s'`), array of bytes (D-Bus type `'ay'`), unsigned integer (D-Bus type `'u'`), integer (D-Bus type `'i'`) and boolean (D-Bus type `'b'`).

When the tube is offered, the parameters are transmitted with the offer and appear as a property of the incoming tube for other participants.

For example, a stream tube for ChannelTypeStreamTubeInterface::Service `"smb"` (Server Message Block over TCP/IP) might use the following properties, as defined in DNS SRV (RFC 2782) Service Types:

    { 'u': 'some-username',
      'p': 'top-secret-password',
      'path': '/etc/passwd',
    }

When requesting a tube with ConnectionInterfaceRequestsInterface::CreateChannel() , this property MUST NOT be included in the request; instead, it is set when ChannelTypeStreamTubeInterface::Offer() or ChannelTypeDBusTubeInterface::Offer() (as appropriate) is called. Its value is undefined until the tube is offered; once set, its value MUST NOT change.

When receiving an incoming tube, this property is immutable and so advertised in the ConnectionInterfaceRequestsInterface::NewChannels() signal.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ChannelInterfaceTubeInterface::requestPropertyState | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `State` of type `uint`.

State of the tube in this channel.

When requesting a tube with ConnectionInterfaceRequestsInterface::CreateChannel() , this property MUST NOT be included in the request.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::ChannelInterfaceTubeInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ChannelInterfaceTubeInterface::TubeChannelStateChanged | ( | uint | state | ) |
| signal

Represents the signal `TubeChannelStateChanged` on the remote object.

Emitted when the state of the tube channel changes. Valid state transitions are documented with Tube_Channel_State.

Parameters

  state |
      The new state of the tube.

void Tp::Client::ChannelInterfaceTubeInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.